
QGIS Application - Bug report #7890

Composer layer transparency not respected in legend

2013-05-23 07:59 PM - John Tull

Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 16763

Description

Layer transparency applied under "Layer rendering" is not respected in composer legends. Instead, layers show the transparency of

symbol-level transparency settings. So if you don't set transparency in the symbol properties, it is not correct in the composer legend.

Associated revisions

Revision da5215d3 - 2014-06-17 02:02 PM - Nyall Dawson

[composer] Respect layer transparency when drawing legend items (fix #7890)

History

#1 - 2013-05-24 02:44 AM - Nyall Dawson

- Assignee set to Nyall Dawson

#2 - 2014-01-30 11:41 PM - Paolo Cavallini

- Target version changed from Version 2.0.0 to Future Release - High Priority

#3 - 2014-06-17 05:13 AM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"da5215d339a8ed8557a2a9f8685cae033ab83b01".

#4 - 2014-07-31 11:16 PM - Miroslav Umlauf

- Status changed from Closed to Reopened

Sorry to reopen this but the same problem is with grid layers. Symbols in layer list and print composer legend don't respect (global) transparency settings

at all.

#5 - 2014-07-31 11:25 PM - Miroslav Umlauf

- Status changed from Reopened to Closed

Oh, sorry. I just found out it is already done in master also for grids in composer. But if you save project, close it and open it again the legend is without

transparency settings. Also for raster the legend is not respecting color alpha channel (I thought I could use it as workaround but nope).
#6 - 2014-08-01 12:26 AM - Miroslav Umlauf

- Status changed from Closed to Reopened

So opening it again with these:

1. layer transparency for grid lost when saved and reopen project

2. alpha channel of grid colors not respected by legend at all

(both works fine for vector layers)

#7 - 2014-08-01 03:17 AM - Nyall Dawson

- Status changed from Reopened to Feedback

Sorry, I don't understand - what do you mean by grids? These aren't shown in the legend at all, and like you've noticed the issue with grid transparency not

saving is solved in master and backported to 2.4 already.

#8 - 2014-08-01 04:39 AM - Miroslav Umlauf

- File transparency_alpha_channel_02.PNG added

- File transparency_global_03.PNG added

- File transparency_global_02.PNG added

- File transparency_global_01.PNG added

- File transparency_alpha_channel_01.PNG added

I hope this help to understand:

transparency_alpha_channel_01 - setting grid colors alpha channel transparency - transparency ok in layer list

transparency_alpha_channel_02 - grid colors in the legend - in the legend list ok, no transparency on the canvas

transparency_global_01 - setting global transparency - no transparency in the layer list

transparency_global_02 - grid colors in the legend - no transparency in the layer list, ok on the canvas

transparency_global_03 - grid colors in the legend after save and reopen - no transparency in the layer list, no transparency on the canvas

All screens form latest 2.5 Master.

#9 - 2014-08-13 10:54 PM - Miroslav Umlauf

- File transparency_bug.png added

Also when using line pattern fill in combination with transparency there is bug in Export as image / Export as PDF. Seems like line pattern fill is rendered in

significantly higher resolution making lines very thin (only in the legend, in map frame it is ok)

#10 - 2014-10-08 08:39 AM - Giovanni Manghi

- Status changed from Feedback to Open

- Operating System deleted (All)

#11 - 2014-10-18 05:37 PM - Nyall Dawson

- Resolution set to fixed/implemented
- Status changed from Open to Closed

Seems to be fixed in master following Martin's recent legend refactoring work.

Files

transparency_alpha_channel_01.PNG 211 KB 2014-08-01 Miroslav Umlauf

transparency_alpha_channel_02.PNG 22.5 KB 2014-08-01 Miroslav Umlauf

transparency_global_01.PNG 102 KB 2014-08-01 Miroslav Umlauf

transparency_global_02.PNG 13.9 KB 2014-08-01 Miroslav Umlauf

transparency_global_03.PNG 12.5 KB 2014-08-01 Miroslav Umlauf

transparency_bug.png 81 KB 2014-08-13 Miroslav Umlauf
